Oore CI

Get the build's analyzer summary

Returns the `dart analyze` counts and most severe diagnostics of a build, with the baseline build on the base branch it compares with. `analysis` is `null` when the build reported none.

Operation IDget_build_analysis
GET
/v1/builds/{build_id}/analysis

Returns the dart analyze counts and most severe diagnostics of a build, with the baseline build on the base branch it compares with. analysis is null when the build reported none.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

build_id*string

Build ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/builds/string/analysis"
{  "analysis": null,  "base_branch": "string",  "baseline": null}